com.aliyun.svideosdk.common.struct.effect

## Class TrackEffect<BEAN extends EffectBase>

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.TrackEffect<BEAN>

- Direct Known Subclasses:
    TrackEffectFilter

      public class TrackEffect<BEAN extends EffectBase>
      extends java.lang.Object

  v3.27.0新增 轨道特效Bean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BEAN` | `bean`
    `protected long` | `duration`
    `protected long` | `startTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackEffect(long startTime, long duration, BEAN bean)` 构建轨道对象

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BEAN` | `getBean()` 获取轨道效果的Bean对象
    `long` | `getDuration()` 获取在轨道的持续时间
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` 获取在轨道的持续时间
    `long` | `getEndTime()` 获取在轨道的结束时间
    `long` | `getEndTime(java.util.concurrent.TimeUnit timeUnit)` 获取在轨道的结束时间
    `int` | `getResId()` 获取资源id
    `Source` | `getSource()` 获取资源
    `long` | `getStartTime()` 获取在轨道的开始时间
    `long` | `getStartTime(java.util.concurrent.TimeUnit timeUnit)` 获取在轨道的开始时间
    `int` | `getViewId()` 获取效果id
    `void` | `setDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` 设置在轨道的持续时间
    `void` | `setSource(Source source)` 设置资源
    `void` | `setStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置在轨道的开始时间
    `void` | `setViewId(int aId)` 设置效果id

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startTime

          protected long startTime

    - #### duration

          protected long duration

    - #### bean

          protected BEAN extends EffectBase bean

  - ### Constructor Detail

    - #### TrackEffect

          public TrackEffect(long startTime,
                             long duration,
                             BEAN bean)

      构建轨道对象
      Parameters:
        `startTime,` - 轨道的开始时间，单位：毫秒
        `duration,` - 轨道的持续时间，单位：毫秒
        `bean，` - 轨道的bean对象

  - ### Method Detail

    - #### setStartTime

          public void setStartTime(long startTime,
                                   java.util.concurrent.TimeUnit timeUnit)

      设置在轨道的开始时间
      Parameters:
        `startTime` - 开始时间
        `timeUnit` - 时间单位

    - #### setDuration

          public void setDuration(long duration,
                                  java.util.concurrent.TimeUnit timeUnit)

      设置在轨道的持续时间
      Parameters:
        `timeUnit` - 时间单位

    - #### getViewId

          public int getViewId()

      获取效果id
      Returns:
        效果id，效果的唯一标识符，主要用于编辑模块的效果id获取

    - #### setViewId

          public void setViewId(int aId)

      设置效果id
      Parameters:
        `id` - 效果唯一标识符，不建议用户自己调用该接口

    - #### getResId

          public int getResId()

      获取资源id
      Returns:
        资源id 资源唯一标识符,主要用于录制模块的资源id获取

    - #### getSource

          public Source getSource()

      获取资源
      Returns:
        source 资源

    - #### setSource

          public void setSource(Source source)

      设置资源
      Parameters:
        `source` - 资源

    - #### getStartTime

          public long getStartTime()

      获取在轨道的开始时间
      Returns:
        startTime 开始时间 单位：毫秒

    - #### getStartTime

          public long getStartTime(java.util.concurrent.TimeUnit timeUnit)

      获取在轨道的开始时间
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        startTime

    - #### getEndTime

          public long getEndTime()

      获取在轨道的结束时间
      Returns:
        end time 结束时间 单位：毫秒

    - #### getEndTime

          public long getEndTime(java.util.concurrent.TimeUnit timeUnit)

      获取在轨道的结束时间
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        end time 结束时间

    - #### getDuration

          public long getDuration()

      获取在轨道的持续时间
      Returns:
        duration 持续时间 单位：毫秒

    - #### getDuration

          public long getDuration(java.util.concurrent.TimeUnit timeUnit)

      获取在轨道的持续时间
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        duration

    - #### getBean

          public BEAN getBean()

      获取轨道效果的Bean对象
      Returns:
        BEAN Bean对象